Bug 1613813 - [abrt] [faf] Crash under config_lookup_thread() at e-config-lookup.c:179
Summary: [abrt] [faf] Crash under config_lookup_thread() at e-config-lookup.c:179
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evolution
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Milan Crha
QA Contact: Desktop QE
URL: https://faf.lab.eng.brq.redhat.com/fa...
Whiteboard:
Depends On:
Blocks: 1620582
TreeView+ depends on / blocked
 
Reported: 2018-08-08 10:42 UTC by Vladimir Benes
Modified: 2018-10-30 10:28 UTC (History)
1 user (show)

Fixed In Version: evolution-3.28.5-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1620582 (view as bug list)
Environment:
Last Closed: 2018-10-30 10:27:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:28:00 UTC

Description Vladimir Benes 2018-08-08 10:42:18 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: https://faf.lab.eng.brq.redhat.com/faf/reports/bthash/615cdd1aa619cafb966336b37657a6d413d5c967/

Comment 2 Milan Crha 2018-08-21 16:18:21 UTC
Thanks for a bug report. Do you have a reproducer for this, please? The bactrace shows:

Thread 1 (Thread 0x7fa48effb700 (LWP 11584)):
#0  0x00007fa524cedfb0 in g_slist_find (list=0x841f0f = {...}, data=0x7fa4f8037a80) at gslist.c:693
#1  0x00007fa52b05c2cd in config_lookup_thread (data=0x27c9130, user_data=0x1c7bba0) at /usr/src/debug/evolution-3.28.5/src/e-util/e-config-lookup.c:179
        td = 0x27c9130
        config_lookup = <optimized out>
        run_result = 0x0
        emit_flags = 4
        restart_params = 0x0
        error = 0x0
        __FUNCTION__ = "config_lookup_thread"
#2  0x00007fa524cf7e8c in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:307
        task = 0x27c9130
        pool = 0x2a9a1a0
#3  0x00007fa524cf74f0 in g_thread_proxy (data=0x29c4590) at gthread.c:784
        thread = 0x29c4590
        __FUNCTION__ = "g_thread_proxy"
#4  0x00007fa529528dd5 in start_thread (arg=0x7fa48effb700) at pthread_create.c:307
        __res = <optimized out>
        pd = 0x7fa48effb700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140344750487296, -5939733657396424487, 0, 8392704, 3, 140344750487296, 5969748124337721561, 5970507638630142169}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#5  0x00007fa51f13bead in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

which suggests that the 'config_lookup' had been freed before the thread finished, which is theoretically possible.

This can be when creating a new Mail account and letting it to lookup for the configuration.

Comment 3 Milan Crha 2018-08-23 08:30:26 UTC
I've been able to reproduce this by cheating in the code and made a change for it upstream:
https://gitlab.gnome.org/GNOME/evolution/commit/fccc5eda57

Comment 5 Vladimir Benes 2018-08-28 13:36:14 UTC
Let's watch for some time if crash reoccurs. Rescheduling multiple times.

Comment 6 Vladimir Benes 2018-09-25 12:24:54 UTC
evolution was executed many times and the crash didn't occur. Considering verified.

Comment 8 errata-xmlrpc 2018-10-30 10:27:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.